from openlog.core.barchart_vector_layer import BarChartVectorLayer


class BarTraceSymbology:
    """
    Base class for bar chart projection.
    """

    def __init__(self, config=None, assay_def=None):
        self.config = config
        self.assay_def = assay_def

    def set_symbology(self, layer) -> BarChartVectorLayer:

        return layer

    @staticmethod
    def refresh_from_extent(layer: BarChartVectorLayer) -> None:
        return
